Page MenuHomePhabricator

ecore/audio: rewrite pulseaudio output to not use global variables
ClosedPublic

Authored by zmike on Mar 17 2020, 9:11 AM.

Details

Summary

this breaks down immediately when calling init/shutdown in quick succession
due to the async nature of pulseaudio. we have object-based private data, so
we can just use that instead
Depends on D11530

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 16349
zmike created this revision.Mar 17 2020, 9:11 AM
zmike requested review of this revision.Mar 17 2020, 9:11 AM
bu5hm4n accepted this revision.Mar 23 2020, 11:34 AM
This revision is now accepted and ready to land.Mar 23 2020, 11:34 AM

The only thing, that is striking me odd, is the printed error, when the super call fails, normally i would expect that the super class impl. then prints the error. But that's nothing that should block this.

Closed by commit rEFL9324bcc3617c: ecore/audio: rewrite pulseaudio output to not use global variables (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyMar 25 2020, 2:17 PM
This revision was automatically updated to reflect the committed changes.